Overview
GET/gamification/levelsgamification

The level ladder

List levels.

Auth: bearerAuth — calls run as the authenticated user.

Responses
200

Levels

  • namestring
  • minPointsinteger

    Inclusive point floor for this rung

  • sortOrderinteger
  • subjectTypeoptionalstring?

    NULL = applies to any subject kind

Example
[
  {
    "name": "string",
    "minPoints": 0,
    "sortOrder": 0,
    "subjectType": "string"
  }
]
401

Error

  • erroroptionalobject
Example
{
  "error": {
    "message": "string",
    "code": "string"
  }
}
Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/gamification/levels" \
  -H "Authorization: Bearer YOUR_TOKEN"
JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/gamification/levels", {
  method: "GET",
  headers: {
    "Authorization": "Bearer YOUR_TOKEN"
  },
});
const data = await res.json();